import { ApiGatewayManagementApiClient, PostToConnectionCommand } from '@aws-sdk/client-apigatewaymanagementapi';
export const sendResponse = async ({ endpoint, connectionId }, response, ignoreClosedConnection = true) => {
    try {
        await new ApiGatewayManagementApiClient({ endpoint }).send(new PostToConnectionCommand({
            ConnectionId: connectionId,
            Data: JSON.stringify(response),
        }));
        return 'SUCCESS';
    }
    catch (error) {
        if (ignoreClosedConnection && error?.name === 'GoneException')
            return 'CONNECTION_CLOSED';
        throw error;
    }
};
//# sourceMappingURL=sendResponse.js.map